aelpf(1)

NAME
aelpf - list project files

SYNOPSIS
aelpf [ option... ]
aelpf -Help
aelpf -VERSion

DESCRIPTION
The aelpf command is used to list the files which make up a project. The file names are printed one per line on the output.

This is very similar to the aegis -l pf listing, but it only lists file names, it lists no other attributes, and it is considerably faster.

If a change number is supplied on the command line, the files within that change will be excluded from the listing. This allows build tools to distinguish between change files which are changing, from project files which are not, if they care.

If your filenames have newlines in them, you have a problem. You can use any of the posix_filename_charset, dos_filename_required, windows_filename_required, or shell_safe_filenames fields in your project configuration file to prevent this. See aenf(1) and aepconf(5) for more information.

OPTIONS
The following options are understood:

-ACtion name
    This option may be used to specify which file actions you are interested in. Valid values are "create", "modify", "remove", etc, as may be observed in the Action column of the aegis -l pf listing. The default is to list files with all actions except removed files. You may use this option more than once.

-Not_ACtion name
    This option may be used to exclude an action from the listing. If no actions are explicitly included or excluded, the default is to exclude removed files. You may use this option more than once.

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Help
    This option may be used to obtain more information about how to use the aelpf program.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-USAge name
    This option may be used to specify which file usages you are interested in. Valid values are "source", "test", etc, as may be observed in the Usage column of the aegis -l pf listing. The default is to list files with all usages. You may use this option more than once.

-Not_USAge name
    This option may be used to exclude usages from the listing. The default is to exclude no usages. You may use this option more than once.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aelpf are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aelpf command will exit with a status of 1 on any error. The aelpf command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

ael(1)
    list interesting things

aenf(1)
    add new files to be created by a change

aepconf(5)
    project configuration file

COPYRIGHT
aelpf version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aelpf program comes with ABSOLUTELY NO WARRANTY; for details use the 'aelpf -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aelpf -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/